Bug 782538 - Propose that you turn on PrivateTmp=true in service file for uw-imap
Propose that you turn on PrivateTmp=true in service file for uw-imap
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: uw-imap (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 11:02 EST by Daniel Walsh
Modified: 2015-01-09 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-06 16:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 11:02:50 EST
I would like to propose using PrivateTmp for uw-imap systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:46:04 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Rex Dieter 2012-02-06 16:08:51 EST
thanks for the kick in the pants, sorry.  uw-imap doesn't use systemd
Comment 3 Rahul Sundaram 2012-02-15 20:22:04 EST
Any reason it isn't using systemd?
Comment 4 Rex Dieter 2012-02-17 04:03:02 EST
uw-imap isn't a daemon, it currently employs xinetd

(that is, unless systemd can provide something like xinetd functionality)
Comment 5 Rex Dieter 2012-02-17 04:04:12 EST
oh, apparently, it can,
http://lists.freedesktop.org/archives/systemd-devel/2011-September/003507.html

unfortunately, lennart's blog seems no longer available... I'll keep digging for details.
Comment 6 Rex Dieter 2012-02-17 04:05:37 EST
yay,
http://0pointer.de/blog/projects/inetd.html
Comment 7 Fedora End Of Life 2013-04-03 15:42:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:55:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Rex Dieter 2015-01-09 17:05:27 EST
Triaging rfe

Note You need to log in before you can comment on or make changes to this bug.